Create Additional Item
curl --request POST \
--url https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-id: <x-tenant-id>' \
--data '
{
"description": "<string>",
"material_item_id": 123,
"required": true,
"deduct_weight": "<string>",
"heavy_weight": "<string>",
"light_weight": "<string>",
"notes": "<string>",
"quantity": "<string>"
}
'import requests
url = "https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items"
payload = {
"description": "<string>",
"material_item_id": 123,
"required": True,
"deduct_weight": "<string>",
"heavy_weight": "<string>",
"light_weight": "<string>",
"notes": "<string>",
"quantity": "<string>"
}
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-id': '<x-tenant-id>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
description: '<string>',
material_item_id: 123,
required: true,
deduct_weight: '<string>',
heavy_weight: '<string>',
light_weight: '<string>',
notes: '<string>',
quantity: '<string>'
})
};
fetch('https://api.crosoftware.com/v0/locations/{location_id}/jobs/{job_id}/additional_items', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"deduct_weight": "<string>",
"description": "<string>",
"heavy_weight": "<string>",
"id": 123,
"is_completed": true,
"is_declined": true,
"is_failed": true,
"job_id": 123,
"light_weight": "<string>",
"material_item_id": 123,
"notes": "<string>",
"quantity": "<string>",
"required": true
}Jobs
Create Additional Item
Create additional item for a job.
POST
/
locations
/
{location_id}
/
jobs
/
{job_id}
/
additional_items
Create Additional Item
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Headers
Version identifier (date format).
Tenant identifier. Contact CRO Software for more info if you don't already have this id. See list tenant ids for info on listing the tenants you have access to.
Path Parameters
Location identifier.
Job identifier.
Body
application/json
Response
200 - application/json
Success
Job item.
Item description.
Additional item identifier.
Completion flag.
Declined flag.
Failed flag.
Job identifier.
Material item identifier.
Item notes.
Item quantity.
Item required when TRUE.
⌘I